﻿@import url('https://fonts.googleapis.com/css2?family=Literata:opsz,wght@7..72,400;7..72,600;7..72,700&family=Open+Sans:wght@300;400;500;600;700&display=swap');
@import '../../components/_reset.css';
@import '../../components/_base.css';
@import '_welcome-page.css';
@import '_steps.css';
@import '../../components/beauty-regiment.css';
@import '../../components/_discount-ribbon.css';
@import '../../components/_progress-bar.css';

:root {
    --main-background-color: #f8f4eb;
}
html {
    scroll-behavior: smooth;
}
body {
    font: normal 16px 'Open Sans', sans-serif;
    color: var(--main-text-color);
}

.beauty-profile {
    background: var(--main-background-color);
}

.beauty-profile header,
.beauty-profile footer {
    display: flex;
    justify-content: center;
    padding: 16px;
}
.beauty-profile header a,
.beauty-profile footer a {
    display: inline-block;
}

.beauty-profile header img,
.beauty-profile footer img {
    max-width: 178px;
}

.beauty-profile footer {
    position: relative;
    padding: 28px 0 26px;
}
.beauty-profile footer::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    height: 100%;
    width: 100%;
    transform: translateX(-50%);
    background: url(../../images/pnd/flowers_bottom.svg) no-repeat center 20px;
    background-size: contain;
    z-index: -1;
}
.main-steps-container {
    padding: 35px 10px 55px;
    background: white;
    text-align: center;
}

.main-steps-container h1,
.main-steps-container .steps > h2 {
    margin-bottom: 24px;
    font: 600 28px 'Literata', serif;
}

@media all and (min-width: 768px) {

    .beauty-profile header img {
        max-width: 186px;
    }
    .main-steps-container {
        padding: 41px 40px 58px;
    }
    .main-steps-container h1,
    .main-steps-container .steps > h2 {
        margin-bottom: 26px;
        font-size: 34px;
    }
}

@media all and (min-width: 1280px){

    .beauty-profile header img {
        max-width: 266px;
    }

    .beauty-profile footer {
        padding: 60px 0 62px;
    }
    .beauty-profile footer img {
        max-width: 221px;
    }
    .main-steps-container {
        padding: 80px 0;
    }
    .main-steps-container h1,
    .main-steps-container .steps > h2 {
        margin-bottom: 34px;
        font-size: 40px;
    }
}
@media all and (min-width: 1600px) {
    .beauty-profile footer::before {
        background-position: center 40px;
    }
}
.progress-navigation {
    margin: 30px auto 0;
    max-width: 1240px;
    min-height: 115px;
}
.progress-navigation-wrapper.sticky {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 15px;
}
.progress-navigation-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 auto;
    max-width: 582px;
    background: #fff;
    z-index:10;
    transition: bottom .3s ease-in-out;
}
.progress-navigation-wrapper .btn {
    width: 35%;
    padding: 16px 10px;
}

@media all and (min-width: 768px) {
    .progress-navigation {
        margin-top: 40px;
    }
    .progress-navigation .btn {
        width: 240px;
    }
}
@media all and (min-width: 1280px) {
    .progress-navigation {
        margin-top: 94px;
    }
    .progress-navigation .btn {
        width: 300px;
    }
    .progress-navigation-wrapper {
        max-width: 720px;
    }
}
